com.tibbo.aggregate.common.device.sync

## Interface SynchronizationParameters

- All Known Implementing Classes:
    AbstractSynchronizationParameters, ConnectOnlySynchronization, DefaultSynchronizationParameters, ReinitializerSynchronizationParameters, VariablesSynchronizationParameters

      public interface SynchronizationParameters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SynchronizationParameters` | `NULL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addVariable(java.lang.String variable)`
    `static SynchronizationParameters` | `createDefaultSynchronizationParameters()`
    `static SynchronizationParameters` | `createDefaultSynchronizationParameters(boolean useExtendedStatus)`
    `static SynchronizationParameters` | `createReinitializerSynchronizationParameters()`
    `java.lang.Integer` | `getDirectionOverride()`
    `java.lang.String` | `getId()`
    `java.util.Set<java.lang.String>` | `getVariables()`
    `boolean` | `hasMoreVariables()`
    `boolean` | `hasVariable(java.lang.String variable)`
    `boolean` | `isConnectOnly()`
    `boolean` | `isFull()`
    `boolean` | `isShouldPersistStatus()`
    `boolean` | `isShouldReadMetadata()`
    `boolean` | `isShouldUseExtendedStatus()`
    `static VariablesSynchronizationParameters` | `ofVariable(java.lang.String variableName)`
    `static VariablesSynchronizationParameters` | `ofVariable(java.lang.String variableName, int directionDeviceToServer)`
    `void` | `removeVariable(java.lang.String variable)`

- - ### Field Detail

    - #### NULL

          static final SynchronizationParameters NULL

  - ### Method Detail

    - #### isConnectOnly

          boolean isConnectOnly()

    - #### addVariable

          void addVariable(java.lang.String variable)

    - #### removeVariable

          void removeVariable(java.lang.String variable)

    - #### hasMoreVariables

          boolean hasMoreVariables()

    - #### getId

          java.lang.String getId()

    - #### hasVariable

          boolean hasVariable(java.lang.String variable)

    - #### getVariables

          java.util.Set<java.lang.String> getVariables()

    - #### isShouldPersistStatus

          boolean isShouldPersistStatus()

    - #### isShouldReadMetadata

          boolean isShouldReadMetadata()

    - #### isShouldUseExtendedStatus

          boolean isShouldUseExtendedStatus()

    - #### isFull

          boolean isFull()

    - #### getDirectionOverride

          java.lang.Integer getDirectionOverride()

    - #### createReinitializerSynchronizationParameters

          static SynchronizationParameters createReinitializerSynchronizationParameters()

    - #### createDefaultSynchronizationParameters

          static SynchronizationParameters createDefaultSynchronizationParameters()

    - #### createDefaultSynchronizationParameters

          static SynchronizationParameters createDefaultSynchronizationParameters(boolean useExtendedStatus)

    - #### ofVariable

          static VariablesSynchronizationParameters ofVariable(java.lang.String variableName)

    - #### ofVariable

          static VariablesSynchronizationParameters ofVariable(java.lang.String variableName,
                                                               int directionDeviceToServer)